Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 878989

Summary: Mock 1.0.36 seems to require python 2.6 syntax, el5 uses python 2.4
Product: [Fedora] Fedora EPEL Reporter: Paul Knox-Kennedy <paul.knox-kennedy>
Component: mockAssignee: Clark Williams <williams>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el5CC: andrew.elwell, djuran, mebrown, me, toracat, tr-rh, tru, williams, wnefal+redhatbugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-23 22:03:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Paul Knox-Kennedy 2012-11-21 17:56:29 UTC
Description of problem: Mock fails with a syntax error on a finally clause


Version-Release number of selected component (if applicable):1.0.36


How reproducible: Consistent


Steps to Reproduce:
Upgrade to mock 1.0.36 package.
Run a mock build
  
Actual results:

     [exec] Traceback (most recent call last):
     [exec]   File "/usr/sbin/mock", line 66, in ?
     [exec]     import mockbuild.backend
     [exec]   File "/usr/lib/python2.4/site-packages/mockbuild/backend.py", line 237
     [exec]     finally:
     [exec]           ^
     [exec] SyntaxError: invalid syntax



Expected results: Successfull build


Additional info: finally is not valid python24 syntax

Comment 1 Clark Williams 2012-11-21 22:48:26 UTC
I foolishly let python > 2.4 conventions slip into the mock-1.0 branch so I'll need to clean that up. May take me a couple of days though.

Comment 2 Fedora Update System 2012-11-28 15:49:20 UTC
mock-1.0.37-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.37-1.el5

Comment 3 Fedora Update System 2012-11-28 17:37:20 UTC
Package mock-1.0.37-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.0.37-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13593/mock-1.0.37-1.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-23 22:03:09 UTC
mock-1.0.37-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.